petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCreateSeqWithArray

Creates a standard,sequential array-style vector, where the user provides the array space to store the vector values.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecCreateSeqWithArray(MPI_Comm comm,PetscInt bs,PetscInt n,const PetscScalar array[],Vec *V)

Collective on MPI_Comm Many br

### Input Parameter

| comm | - the communicator, should be PETSC_COMM_SELF Many br
| bs | - the block size Many br
| n | - the vector length Many br
| array | - memory where the vector elements are to be stored. Many br

### Output Parameter

V -the vector Many br

### Notes

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the Many brsame type as an existing vector. Many br

If the user-provided array is NULL, then VecPlaceArray() can be used Many brat a later stage to SET the array for storing the vector values. Many br

PETSc does NOT free the array when the vector is destroyed via VecDestroy(). Many brThe user should not free the array until the vector is destroyed. Many br

Many br

### See Also

VecCreateMPIWithArray(), VecCreate(), VecDuplicate(), VecDuplicateVecs(),
VecCreateGhost(), VecCreateSeq(), VecPlaceArray() Many br

Level:intermediate
Location:src/vec/vec/impls/seq/bvec2.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex13.c.html
src/ksp/ksp/examples/tutorials/ex30.c.html
src/ksp/ksp/examples/tutorials/ex13f90.F.html
src/ksp/ksp/examples/tutorials/ex61f.F90.html